From bcff1129cf3bfd06d816e682911b9515fa163376 Mon Sep 17 00:00:00 2001
From: Dudemanguy <dudemanguy@artixlinux.org>
Date: Sat, 18 Sep 2021 10:05:20 -0500
Subject: [PATCH] configure: default to /run/user

elogind (and presumably system-logind) uses /run/user. Copy them for
consistency.
---
 configure    | 2 +-
 pam_rundir.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Patch-Source: https://gitea.artixlinux.org/artix/pam_rundir/commit/bcff1129cf3bfd06d816e682911b9515fa163376

diff --git a/configure b/configure
index 9a208d7..6bfbe8b 100755
--- a/configure
+++ b/configure
@@ -17,7 +17,7 @@ EOF
 
 prefix=/
 securedir=
-parentdir=/run/users
+parentdir=/run/user
 varname=XDG_RUNTIME_DIR
 
 cmdline="$0 $@"
diff --git a/pam_rundir.c b/pam_rundir.c
index f92c73e..3a50386 100644
--- a/pam_rundir.c
+++ b/pam_rundir.c
@@ -103,7 +103,7 @@ open_and_lock (const char *file)
 static inline void
 print_filename (char *s, int uid, int l)
 {
-    /* construct file name, e.g: "/run/users/.1000" */
+    /* construct file name, e.g: "/run/user/.1000" */
     memcpy (s, PARENT_DIR, sizeof (PARENT_DIR) - 1);
     s[sizeof (PARENT_DIR) - 1] = '/';
     s[sizeof (PARENT_DIR)] = '.';
